메인 콘텐츠로 건너뛰기
POST
/
embeddings
/api/v1/embeddings
curl --request POST \
  --url https://api.venice.ai/api/v1/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "encoding_format": "float",
  "input": "The quick brown fox jumped over the lazy dog",
  "model": "text-embedding-bge-m3"
}
'
{
  "data": [
    {
      "embedding": [
        0.0023064255,
        -0.009327292,
        0.015797377
      ],
      "index": 0,
      "object": "embedding"
    }
  ],
  "model": "text-embedding-bge-m3",
  "object": "list",
  "usage": {
    "prompt_tokens": 8,
    "total_tokens": 8
  }
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

헤더

Accept-Encoding
string

Supported compression encodings (gzip, br)

예시:

"gzip, br"

본문

application/json

Create embeddings for the supplied input.

input
필수

Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens), cannot be an empty string, and any array must be 2048 dimensions or less.

Minimum string length: 1
예시:

"The quick brown fox jumped over the lazy dog"

model
필수

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

예시:

"text-embedding-bge-m3"

dimensions
integer

The number of dimensions the resulting output embeddings should have.

필수 범위: x >= 1
encoding_format
enum<string>
기본값:float

The format to return the embeddings in. Can be either float or base64.

사용 가능한 옵션:
float,
base64
예시:

"float"

user
string

This is an unused parameter and is discarded by Venice. It is supported solely for API compatibility with OpenAI.

응답

OK

data
object[]
필수

The list of embeddings generated by the model.

model
string
필수

The name of the model used to generate the embedding.

object
enum<string>
필수

The object type, which is always "list"

사용 가능한 옵션:
list
usage
object
필수

The usage information for the request.